Load Adjustment

Adjust a previous transaction, load a wallet


REQUEST

Path Parameters

ParameterType & ConstraintsDescription
terminalIDstring (10 characters), requiredOur partner issued terminal ID of the terminal requesting the transaction
referencestring (1–255 characters), requiredThe reference of the wallet to load
requestAmountinteger, requiredThe amount to be loaded
narrativestring (1–255 characters), requiredThe description of the terminal where the card was used
transactionDatastring (0–2048 characters), requiredExtra information about the transaction in KLV format
referenceIDstring (1–255 characters), requiredTransaction ID of the original transaction to be adjusted
referenceDatedate, requiredTransaction date of the original transaction or a repeat of the original load to be adjusted. In case of a refund there will not be an original transaction so in that case this field will contain the current date and time to fulfill xmlrpc requirements.
transactionIDstring (1–255 characters), requiredTransaction ID number generated by the calling client. Note that the Transaction ID is not a unique value and may be duplicated over time.
transactionDatedate, requiredTransaction date generated by the calling client
checksumstring, requiredHMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key

Example Request (XML)

<?xml version="1.0"?>
<methodCall>
  <methodName>LoadAdjustment</methodName>
  <params>
    <param><value><string>0067545417</string></value></param>
    <param><value><string>d4b9d9d7-8c21-42bc-9b11-88564aade690</string></value></param>
    <param><value><int>146</int></value></param>
    <param>
      <value>
        <string>20200823T06:13:45/IDIGIC INTERNET NOR</string>
      </value>
    </param>
    <param>
      <value>
        <string>
00215719318600032099004120000000001490260473110410004215000000000204294049038400850025003ADJ25110Adjustment25201025304735225400255002560201
        </string>
      </value>
    </param>
    <param><value><string>571894</string></value></param>
    <param>
      <value>
        <dateTime.iso8601>20200823T06:13:45</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>2C77948C-F65A-8554-EC6BF66A619DF8F7</string>
      </value>
    </param>
    <param>
      <value>
        <dateTime.iso8601>20200824T03:18:55</dateTime.iso8601>
      </value>
    </param>
    <param>
      <value>
        <string>2D3E695617493BC1F3788181143975E6865A2C14</string>
      </value>
    </param>
  </params>
</methodCall>

RESPONSE

Status 200 OK

Schema

FieldTypeDescription
resultCodeintegerStatus code indicating transaction result

Example Response (XML)

<methodResponse>
  <params>
    <param>
      <value>
        <struct>
          <member>
            <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
          </member>
        </struct>
      </value>
    </param>
  </params>
</methodResponse>